Stack
64 operations. Call any of them with omada_call_operation (or, in full tool mode, as a tool named by its operationId).
| Operation | Method | Summary |
|---|---|---|
| cancelStackCableTest | POST | Cancel stack cable test |
| getStackCableTestFullResults | GET | Get stack cable test full results |
| getStackCableTestIncrementResults | GET | Get stack cable test increment results |
| getStackCableTestLogs | GET | Get stack cable test logs |
| getStackCableTestPorts | GET | Get the port list of stack used for cable test |
| startStackCableTest | POST | Start stack cable test |
| forceProvisionStack | POST | Force provision stack |
| forgetStack | POST | Forget stack |
| locateOswStack | POST | Locate switch stack |
| rebootOswStack | POST | Reboot switch stack |
| getOswStackDDMInfo | GET | Get stack ddm info. |
| getGridStackDhcpUserList | GET | Get stack dhcp user list |
| downloadStackDeviceInfo | GET | Download stack device info. |
| listStackInterfaces | GET | List Stack Interfaces |
| listStackBriefInterfaces | GET | List Stack Brief Interfaces |
| modifyPmtudStatus_2 | POST | Modify Stack Path MTU Discovery |
| getGridStackLldpNeighborTable | GET | Get stack lldp neighbor table |
| createLoopbackInterface_1 | POST | Create Stack Loopback Interface |
| deleteLoopbackInterface_1 | DELETE | Delete Stack Loopback Interface |
| modfiyLoopbackInterface_1 | PUT | Modify Stack Loopback Interface |
| getGridStackOspfNeighborTable | GET | Get stack ospf neighbor table |
| getStackRpvstInstances | GET | Get Stack Rpvst Instances |
| getStackUsedSdmNum | GET | Get the used sdm template num on the stack |
| getRpvstInstancesDetail | POST | Get Stack StpInstanceDetail |
| getGridOswStackList | GET | Get stack list |
| createOswStack | POST | Create Switch Stack |
| deleteOswStack | DELETE | Delete Switch Stack |
| getOswStackDetail | GET | Get stack detail |
| modifyOswStack | PUT | Modify Switch Stack |
| modifyOswStackDetail | PATCH | Modify stack detail |
| modifyStackLoopbackControl | PATCH | Modify stack loopback control |
| getOswStackLagList | GET | Get stack lag List |
| deleteOswStackLag | DELETE | Delete stack lag (deprecated) |
| getOswStackLag | GET | Get stack lag |
| modifyOswStackLag | PATCH | Modify stack lag (deprecated) |
| getStackNetworkList | GET | Get stack vlan interface List |
| batchApplyStackNetworks | POST | Batch modify stack vlan interface status |
| getGridStackPortAndLagNetworksDetail | GET | Get the networks detail (including the vlan related ports and lags info) used on stack's ports and LAGs |
| modifyStackNetwork | PATCH | Modify stack vlan interface |
| getGridStackPortAndLagNetworks | GET | Get the networks used on stack's ports and LAGs |
| getStackPortAndLagNetwork | GET | Get the stack's ports and LAGs that the network affects |
| getOswStackPortList | GET | Get stack port List |
| modifyOswStackPort | PATCH | Modify stack port (deprecated) |
| batchModifyOswStackPorts | POST | Batch modify stack port (deprecated) |
| getStackRememberMe | GET | Get stack remember Config |
| modifyStackRememberMe | POST | Modify stack remember Config |
| getGridStackStaticRouting | GET | Get grid stack staticRouting |
| createStackStaticRouting | POST | Create stack staticRouting |
| deleteStackStaticRouting | DELETE | Delete stack staticRouting |
| modifyStackStaticRouting | PUT | Modify stack staticRouting |
| getStackGridVrf | GET | Get stack vrf page |
| createStackVrf | POST | Create new stack vrf |
| deleteStackVrf | DELETE | Delete an existing stack vrf |
| modifyStackVrf | PUT | Modify an existing stack vrf |
| detectSwitchStackMembersForAllStacks | POST | Detect switch stacks members for all stacks |
| detectSwitchStackMembers | POST | Detect switch stack members |
| getGridDiscoveryStackList | GET | Get discovery stack list |
| getStackableSwitches | GET | Get stackable switches |
| getMspOswStackDetail | GET | Get msp stack detail |
| getMspOswStackList | GET | Get msp stack List |
| deleteSwitchStackLagSetting | DELETE | Delete stack lag V2 |
| modifySwitchStackLagSetting | PATCH | Modify stack lag V2 |
| batchModifySwitchStackPortSetting | PATCH | Batch modify stack port V2 |
| modifySwitchStackPortSetting | PATCH | Modify stack port V2 |
cancelStackCableTest
POST /openapi/v1/{omadacId}/sites/{siteId}/cable-test/stacks/{stackId}/cancel
Cancel stack cable test
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
stackId | path | string | yes | Stack ID |
// omada_call_operation
{
"operationId": "cancelStackCableTest",
"params": {
"siteId": "<siteId>",
"stackId": "<stackId>"
}
}Details, permissions and error codes
Cancel stack cable test.
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39753 - This switch does not support the cable test.
-40200 - This switch stack is not existed.
getStackCableTestFullResults
GET /openapi/v1/{omadacId}/sites/{siteId}/cable-test/stacks/{stackId}/full-results
Get stack cable test full results
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
stackId | path | string | yes | Stack ID |
// omada_call_operation
{
"operationId": "getStackCableTestFullResults",
"params": {
"siteId": "<siteId>",
"stackId": "<stackId>"
}
}Details, permissions and error codes
Get stack cable test full results.
The interface requires one of the permissions:
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-40200 - This switch stack is not existed.
getStackCableTestIncrementResults
GET /openapi/v1/{omadacId}/sites/{siteId}/cable-test/stacks/{stackId}/increment-results
Get stack cable test increment results
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
stackId | path | string | yes | Stack ID |
// omada_call_operation
{
"operationId": "getStackCableTestIncrementResults",
"params": {
"siteId": "<siteId>",
"stackId": "<stackId>"
}
}Details, permissions and error codes
Get stack cable test increment results.
The interface requires one of the permissions:
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-40200 - This switch stack is not existed.
getStackCableTestLogs
GET /openapi/v1/{omadacId}/sites/{siteId}/cable-test/stacks/{stackId}/logs
Get stack cable test logs
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
stackId | path | string | yes | Stack ID |
// omada_call_operation
{
"operationId": "getStackCableTestLogs",
"params": {
"siteId": "<siteId>",
"stackId": "<stackId>"
}
}Details, permissions and error codes
Get stack cable test logs.
The interface requires one of the permissions:
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-40200 - This switch stack is not existed.
getStackCableTestPorts
GET /openapi/v1/{omadacId}/sites/{siteId}/cable-test/stacks/{stackId}/ports
Get the port list of stack used for cable test
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
stackId | path | string | yes | Stack ID |
// omada_call_operation
{
"operationId": "getStackCableTestPorts",
"params": {
"siteId": "<siteId>",
"stackId": "<stackId>"
}
}Details, permissions and error codes
Get the port list of stack used for cable test.
The interface requires one of the permissions:
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-40200 - This switch stack is not existed.
startStackCableTest
POST /openapi/v1/{omadacId}/sites/{siteId}/cable-test/stacks/{stackId}/start
Start stack cable test
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
stackId | path | string | yes | Stack ID |
Request body — application/json (required) — schema OswCableTestTestingPortOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
portList | array<OswBriefPortInfoOpenApiVO> | no | Port list |
// omada_call_operation
{
"operationId": "startStackCableTest",
"params": {
"siteId": "<siteId>",
"stackId": "<stackId>"
},
"body": "{...}"
}Details, permissions and error codes
Start stack cable test.
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39701 - This port does not exist
-39753 - This switch does not support the cable test.
-39754 - SFP port cannot be selected.
-39755 - Disabled port cannot be selected.
-39756 - Uplink port cannot be selected.
-39757 - This switch is running a cable test.
-39810 - Stacking port cannot be selected.
-40200 - This switch stack is not existed.
forceProvisionStack
POST /openapi/v1/{omadacId}/sites/{siteId}/cmd/stack/{stackId}/forceProvision
Force provision stack
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
stackId | path | string | yes | Stack ID |
// omada_call_operation
{
"operationId": "forceProvisionStack",
"params": {
"siteId": "<siteId>",
"stackId": "<stackId>"
}
}Details, permissions and error codes
Force provision stack.
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-40200 - This switch stack is not existed.
forgetStack
POST /openapi/v1/{omadacId}/sites/{siteId}/cmd/stack/{stackId}/forget
Forget stack
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
stackId | path | string | yes | Stack ID |
// omada_call_operation
{
"operationId": "forgetStack",
"params": {
"siteId": "<siteId>",
"stackId": "<stackId>"
}
}Details, permissions and error codes
Forget stack.
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-40200 - This switch stack is not existed.
locateOswStack
POST /openapi/v1/{omadacId}/sites/{siteId}/cmd/stacks/{stackId}/locate
Locate switch stack
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
stackId | path | string | yes | Stack ID |
Request body — application/json (required) — schema OswStackLocateOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
selectAll | boolean | no | Indicates whether to select the entire stack |
macs | array<string> | no | Selected Device |
locateEnable | boolean | yes | Indicates whether locate is enabled |
standardPorts | array<string> | no | Standard port should be in the format of unit/slot/portId. e.g. 1/0/1 . When parameter[standardPorts] is not empty, paramter[selectAll] and [macs] are not needed |
// omada_call_operation
{
"operationId": "locateOswStack",
"params": {
"siteId": "<siteId>",
"stackId": "<stackId>"
},
"body": "{...}"
}Details, permissions and error codes
Locate switch stack.
The interface requires one of the permissions:
Site Device Manager Modify
Site Clients Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-40204 - The primary device is not connected, cannot locate.
rebootOswStack
POST /openapi/v1/{omadacId}/sites/{siteId}/cmd/stacks/{stackId}/reboot
Reboot switch stack
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
stackId | path | string | yes | Stack ID |
Request body — application/json (required) — schema OswStackRebootOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
selectAll | boolean | no | Indicates whether to select the entire stack |
macs | array<string> | no | Selected Devices |
// omada_call_operation
{
"operationId": "rebootOswStack",
"params": {
"siteId": "<siteId>",
"stackId": "<stackId>"
},
"body": "{...}"
}Details, permissions and error codes
Reboot switch stack.
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39012 - Failed to send the reboot command to the device.
-40203 - The primary device is not connected, cannot reboot.
getOswStackDDMInfo
GET /openapi/v1/{omadacId}/sites/{siteId}/stack/{stackId}/ddm/info
Get stack ddm info.
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
stackId | path | string | yes | Stack ID |
// omada_call_operation
{
"operationId": "getOswStackDDMInfo",
"params": {
"siteId": "<siteId>",
"stackId": "<stackId>"
}
}Details, permissions and error codes
Get stack ddm info.
The interface requires one of the permissions:
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-40200 - This switch stack is not existed.
getGridStackDhcpUserList
GET /openapi/v1/{omadacId}/sites/{siteId}/stack/{stackId}/dhcp/user-list
Get stack dhcp user list
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
stackId | path | string | yes | Stack ID |
page | query | integer | no | Start page number. Start from 1. (default 1) |
pageSize | query | integer | no | Number of entries per page. It should be within the range of 1–1000. (default 100) |
// omada_call_operation
{
"operationId": "getGridStackDhcpUserList",
"params": {
"siteId": "<siteId>",
"stackId": "<stackId>"
}
}Details, permissions and error codes
Get stack dhcp user list.
The interface requires one of the permissions:
Site Device Manager View Only
Site Settings Manager View Only
Network Config Page View Only
downloadStackDeviceInfo
GET /openapi/v1/{omadacId}/sites/{siteId}/stack/{stackId}/downloadDeviceInfo
Download stack device info.
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
stackId | path | string | yes | Stack ID |
// omada_call_operation
{
"operationId": "downloadStackDeviceInfo",
"params": {
"siteId": "<siteId>",
"stackId": "<stackId>"
}
}Details, permissions and error codes
Download stack device info.
The interface requires one of the permissions:
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-40200 - This switch stack is not existed.
listStackInterfaces
GET /openapi/v1/{omadacId}/sites/{siteId}/stack/{stackId}/interfaces
List Stack Interfaces
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
stackId | path | string | yes | Stack ID |
page | query | integer | no | Start page number. Start from 1. (default 1) |
pageSize | query | integer | no | Number of entries per page. It should be within the range of 1–1000. (default 100) |
// omada_call_operation
{
"operationId": "listStackInterfaces",
"params": {
"siteId": "<siteId>",
"stackId": "<stackId>"
}
}Details, permissions and error codes
List Stack Interfaces, include VLAN Interface and Loopback Interface.
The interface requires one of the permissions:
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-40200 - This switch stack is not existed.
listStackBriefInterfaces
GET /openapi/v1/{omadacId}/sites/{siteId}/stack/{stackId}/interfaces/brief
List Stack Brief Interfaces
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
stackId | path | string | yes | Stack ID |
// omada_call_operation
{
"operationId": "listStackBriefInterfaces",
"params": {
"siteId": "<siteId>",
"stackId": "<stackId>"
}
}Details, permissions and error codes
List Stack Brief Interfaces for OSPF Configurations, include VLAN Interface and Loopback Interface.
The interface requires one of the permissions:
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-40200 - This switch stack is not existed.
modifyPmtudStatus_2
POST /openapi/v1/{omadacId}/sites/{siteId}/stack/{stackId}/interfaces/pmtud
Modify Stack Path MTU Discovery
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
stackId | path | string | yes | Stack ID |
Request body — application/json (required) — schema OswPmtudVO
| Field | Type | Required | Description |
|---|---|---|---|
enable | boolean | no | The Switch of Path MTU Discovery. |
// omada_call_operation
{
"operationId": "modifyPmtudStatus_2",
"params": {
"siteId": "<siteId>",
"stackId": "<stackId>"
},
"body": "{...}"
}Details, permissions and error codes
modify Stack Path MTU Discovery.
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39700 - Switch does not exist
getGridStackLldpNeighborTable
GET /openapi/v1/{omadacId}/sites/{siteId}/stack/{stackId}/lldp-neighbors
Get stack lldp neighbor table
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
stackId | path | string | yes | Stack ID |
page | query | integer | no | Start page number. Start from 1. (default 1) |
pageSize | query | integer | no | Number of entries per page. It should be within the range of 1–1000. (default 100) |
sorts.standardPort | query | string | no | Sort parameter may be one of asc or desc. Optional parameter. If it is not carried, it means it is not sorted by this field. When there are more than one, the first one takes effect |
searchKey | query | string | no | Fuzzy query parameters, support field portId,standardPort,deviceId,systemName |
// omada_call_operation
{
"operationId": "getGridStackLldpNeighborTable",
"params": {
"siteId": "<siteId>",
"stackId": "<stackId>"
}
}Details, permissions and error codes
Get stack lldp neighbor table.
The interface requires one of the permissions:
Site Device Manager View Only
createLoopbackInterface_1
POST /openapi/v1/{omadacId}/sites/{siteId}/stack/{stackId}/loopback-interface
Create Stack Loopback Interface
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
stackId | path | string | yes | Stack ID |
Request body — application/json (required) — schema OswLoopbackInterfaceVO
| Field | Type | Required | Description |
|---|---|---|---|
status | integer | yes | Interface status.0: disable, 1: enable. |
name | string | yes | Loopback Interface name. |
vrfId | string | no | VRF ID. This field is non-empty when the device supports VRF. |
loopbackId | integer | yes | Loopback ID. |
ip | string | yes | IP address. |
// omada_call_operation
{
"operationId": "createLoopbackInterface_1",
"params": {
"siteId": "<siteId>",
"stackId": "<stackId>"
},
"body": "{...}"
}Details, permissions and error codes
Create Stack Loopback Interface.
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39700 - Switch does not exist
deleteLoopbackInterface_1
DELETE /openapi/v1/{omadacId}/sites/{siteId}/stack/{stackId}/loopback-interface/{loopbackInterfaceId}
Delete Stack Loopback Interface
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
stackId | path | string | yes | Stack ID |
loopbackInterfaceId | path | string | yes | Loopback Interface ID |
// omada_call_operation
{
"operationId": "deleteLoopbackInterface_1",
"params": {
"siteId": "<siteId>",
"stackId": "<stackId>",
"loopbackInterfaceId": "<loopbackInterfaceId>"
}
}Details, permissions and error codes
Delete Stack Loopback Interface.
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39700 - Switch does not exist
modfiyLoopbackInterface_1
PUT /openapi/v1/{omadacId}/sites/{siteId}/stack/{stackId}/loopback-interface/{loopbackInterfaceId}
Modify Stack Loopback Interface
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
stackId | path | string | yes | Stack ID |
loopbackInterfaceId | path | string | yes | Loopback Interface ID |
Request body — application/json (required) — schema OswLoopbackInterfaceVO
| Field | Type | Required | Description |
|---|---|---|---|
status | integer | yes | Interface status.0: disable, 1: enable. |
name | string | yes | Loopback Interface name. |
vrfId | string | no | VRF ID. This field is non-empty when the device supports VRF. |
loopbackId | integer | yes | Loopback ID. |
ip | string | yes | IP address. |
// omada_call_operation
{
"operationId": "modfiyLoopbackInterface_1",
"params": {
"siteId": "<siteId>",
"stackId": "<stackId>",
"loopbackInterfaceId": "<loopbackInterfaceId>"
},
"body": "{...}"
}Details, permissions and error codes
Modify Stack Loopback Interface.
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39700 - Switch does not exist
getGridStackOspfNeighborTable
GET /openapi/v1/{omadacId}/sites/{siteId}/stack/{stackId}/ospf-neighbors
Get stack ospf neighbor table
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
stackId | path | string | yes | Stack ID |
page | query | integer | no | Start page number. Start from 1. (default 1) |
pageSize | query | integer | no | Number of entries per page. It should be within the range of 1–1000. (default 100) |
sorts.neighborInterface | query | string | no | Sort parameter may be one of asc or desc. Optional parameter. If it is not carried, it means it is not sorted by this field. When there are more than one, the first one takes effect |
filters.neighborInterface | query | array<string> | no | Filter query parameters, support field neighborInterface |
filters.processId | query | string | no | Filter query parameters, support field processId |
searchKey | query | string | no | Fuzzy query parameters, support field neighborIp |
// omada_call_operation
{
"operationId": "getGridStackOspfNeighborTable",
"params": {
"siteId": "<siteId>",
"stackId": "<stackId>"
}
}Details, permissions and error codes
Get stack ospf neighbor table.
The interface requires one of the permissions:
Site Device Manager View Only
getStackRpvstInstances
GET /openapi/v1/{omadacId}/sites/{siteId}/stack/{stackId}/rpvst-instances
Get Stack Rpvst Instances
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
stackId | path | string | yes | Stack ID |
// omada_call_operation
{
"operationId": "getStackRpvstInstances",
"params": {
"siteId": "<siteId>",
"stackId": "<stackId>"
}
}Details, permissions and error codes
Get Stack Rpvst Instances.
The interface requires one of the permissions:
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-40200 - This switch stack is not existed.
getStackUsedSdmNum
GET /openapi/v1/{omadacId}/sites/{siteId}/stack/{stackId}/sdm-used
Get the used sdm template num on the stack
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
stackId | path | string | yes | Stack ID |
// omada_call_operation
{
"operationId": "getStackUsedSdmNum",
"params": {
"siteId": "<siteId>",
"stackId": "<stackId>"
}
}Details, permissions and error codes
Get the used template num on the stack.
The interface requires one of the permissions:
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-40200 - This switch stack is not existed.
getRpvstInstancesDetail
POST /openapi/v1/{omadacId}/sites/{siteId}/stack/{stackId}/stp/instance-detail
Get Stack StpInstanceDetail
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
stackId | path | string | yes | Stack ID |
Request body — application/json (required) — schema StpInstanceDetailVO
| Field | Type | Required | Description |
|---|---|---|---|
stp | integer | yes | stp, 1: STP / 2: RSTP / 3: MSTP / 4: RPVST / 0: OFF |
id | integer | no | instance ID |
vlan | integer | no | instance vlanId |
// omada_call_operation
{
"operationId": "getRpvstInstancesDetail",
"params": {
"siteId": "<siteId>",
"stackId": "<stackId>"
},
"body": "{...}"
}Details, permissions and error codes
Get Stack StpInstanceDetail.
The interface requires one of the permissions:
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-40200 - This switch stack is not existed.
getGridOswStackList
GET /openapi/v1/{omadacId}/sites/{siteId}/stacks
Get stack list
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
page | query | integer | no | Start page number. Start from 1. (default 1) |
pageSize | query | integer | no | Number of entries per page. It should be within the range of 1–1000. (default 100) |
// omada_call_operation
{
"operationId": "getGridOswStackList",
"params": {
"siteId": "<siteId>"
}
}Details, permissions and error codes
Get stack list.
The interface requires one of the permissions:
Site Device Manager View Only
createOswStack
POST /openapi/v1/{omadacId}/sites/{siteId}/stacks
Create Switch Stack
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
Request body — application/json (required) — schema OswStackConfigOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
name | string | yes | Stack Name |
member | array<OswStackMemberVO> | yes | Stack member list |
// omada_call_operation
{
"operationId": "createOswStack",
"params": {
"siteId": "<siteId>"
},
"body": "{...}"
}Details, permissions and error codes
Create Switch Stack.
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-34686 - This service port is already in use, please choose another port.
-39093 - The length of the device name exceeds the limit.
-39098 - The number of members exceeds the maximum member limit allowed by the controller.
-39700 - Switch does not exist
-39715 - The member port in the LAG is invalid.
-40201 - Incompatible stack device exists. Please check the stack compatibility.
deleteOswStack
DELETE /openapi/v1/{omadacId}/sites/{siteId}/stacks/{stackId}
Delete Switch Stack
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
stackId | path | string | yes | Stack ID |
// omada_call_operation
{
"operationId": "deleteOswStack",
"params": {
"siteId": "<siteId>",
"stackId": "<stackId>"
}
}Details, permissions and error codes
Delete Switch Stack.
The interface requires one of the permissions:
Site Device Manager Modify
getOswStackDetail
GET /openapi/v1/{omadacId}/sites/{siteId}/stacks/{stackId}
Get stack detail
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
stackId | path | string | yes | Stack ID |
// omada_call_operation
{
"operationId": "getOswStackDetail",
"params": {
"siteId": "<siteId>",
"stackId": "<stackId>"
}
}Details, permissions and error codes
Get stack detail.
The interface requires one of the permissions:
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-40200 - This switch stack is not existed.
modifyOswStack
PUT /openapi/v1/{omadacId}/sites/{siteId}/stacks/{stackId}
Modify Switch Stack
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
stackId | path | string | yes | Stack ID |
Request body — application/json (required) — schema OswStackConfigOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
name | string | yes | Stack Name |
member | array<OswStackMemberVO> | yes | Stack member list |
// omada_call_operation
{
"operationId": "modifyOswStack",
"params": {
"siteId": "<siteId>",
"stackId": "<stackId>"
},
"body": "{...}"
}Details, permissions and error codes
Modify Switch Stack.
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-34686 - This service port is already in use, please choose another port.
-39093 - The length of the device name exceeds the limit.
-39098 - The number of members exceeds the maximum member limit allowed by the controller.
-39101 - The device has been adopted at another site. Please access the site and forget the device first.
-39102 - The primary device is applying configurations. Please adopt the member device later.
-39103 - There are stack unit conflicts.
-39700 - Switch does not exist
-39715 - The member port in the LAG is invalid.
-40201 - Incompatible stack device exists. Please check the stack compatibility.
modifyOswStackDetail
PATCH /openapi/v1/{omadacId}/sites/{siteId}/stacks/{stackId}/config
Modify stack detail
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
stackId | path | string | yes | Stack ID |
Request body — application/json (required) — schema OswStackDetailConfigOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
name | string | no | Stack Name |
ledSetting | integer | no | LED setting should be a value as follows: 0:off; 1:on; 2:Use Site Settings |
mvlanNetworkId | string | no | Management VLAN network ID |
mvlanBridgeVlan | integer | no | Only valid when mvlanNetworkId is bridge vlan |
loopbackDetectEnable | boolean | no | LoopbackDetect enable status |
stp | integer | no | Spanning Tree Protocol should be a value as follows: 1: STP; 2: RSTP; 3: MSTP; 4: RPVST 0: OFF |
snmp | OswSnmpVO | no | (OswSnmpVO not expanded; call omada_get_schema "OswSnmpVO") |
priority | integer | no | STP priority should be an integer from 0 to 61440 and divisible by 4096 |
helloTime | integer | no | STP helloTime should be should be within the range of 1-10 |
maxAge | integer | no | STP maxAge should be should be within the range of 6-40 |
forwardDelay | integer | no | STP should be should be within the range of 4-30 |
txHoldCount | integer | no | STP txHoldCount should be should be within the range of 1-20 |
maxHops | integer | no | STP maxHops should be should be within the range of 1-40 |
mstp | OswStpRpvstVO | no | (OswStpRpvstVO not expanded; call omada_get_schema "OswStpRpvstVO") |
tagIds | array<string> | no | Tag ID List |
jumbo | integer | no | Jumbo should be should be within the range of 1518-9216 |
lagHashAlg | integer | no | It should be a value as follows: 0: SRC MAC; 1: DST MAC; 2: SRC MAC + DST MAC; 3: SRC IP; 4: DST IP; 5: SRC IP + DST IP |
location | DeviceLocationDetailVO | no | (DeviceLocationDetailVO not expanded; call omada_get_schema "DeviceLocationDetailVO") |
qosConfig | OswQosConfigVO | no | (OswQosConfigVO not expanded; call omada_get_schema "OswQosConfigVO") |
rememberDevice | integer | no | Whether to remember the device.RememberDevice should be a value as follows: 0:off, 1:on, 2: follow site |
// omada_call_operation
{
"operationId": "modifyOswStackDetail",
"params": {
"siteId": "<siteId>",
"stackId": "<stackId>"
},
"body": "{...}"
}Details, permissions and error codes
Modify stack detail.
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-40200 - This switch stack is not existed.
modifyStackLoopbackControl
PATCH /openapi/v1/{omadacId}/sites/{siteId}/stacks/{stackId}/config/loopback
Modify stack loopback control
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
stackId | path | string | yes | Stack ID |
Request body — application/json (required) — schema SwitchLoopbackControl
| Field | Type | Required | Description |
|---|---|---|---|
loopbackDetectEnable | boolean | no | LoopbackDetectEnable |
stp | integer | no | STP should be a value as follows: 0: OFF 1: STP 2: RSTP 3: MSTP 4: RPVST |
priority | integer | no | Parameter [priority] should be an integer from 0 to 61440 and divisible by 4096. |
helloTime | integer | no | helloTime should be between 1 and 10. |
maxAge | integer | no | maxAge should be between 6 and 40. |
forwardDelay | integer | no | forwardDelay should be between 4 and 30. |
txHoldCount | integer | no | txHoldCount should be between 1 and 20. |
maxHops | integer | no | maxHops should be between 1 and 40. maxHops is only allowed when the STP type is MSTP. |
mstp | OswStpMstpConfigOpenApiVO | no | (OswStpMstpConfigOpenApiVO not expanded; call omada_get_schema "OswStpMstpConfigOpenApiVO") |
rpvst | OswStpRpvstVO | no | (OswStpRpvstVO not expanded; call omada_get_schema "OswStpRpvstVO") |
// omada_call_operation
{
"operationId": "modifyStackLoopbackControl",
"params": {
"siteId": "<siteId>",
"stackId": "<stackId>"
},
"body": "{...}"
}Details, permissions and error codes
Modify stack loopback control.
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-40200 - This switch stack is not existed.
getOswStackLagList
GET /openapi/v1/{omadacId}/sites/{siteId}/stacks/{stackId}/lags
Get stack lag List
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
stackId | path | string | yes | Stack ID |
// omada_call_operation
{
"operationId": "getOswStackLagList",
"params": {
"siteId": "<siteId>",
"stackId": "<stackId>"
}
}Details, permissions and error codes
Get stack lag List.
The interface requires one of the permissions:
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-40200 - This switch stack is not existed.
deleteOswStackLag
DELETE /openapi/v1/{omadacId}/sites/{siteId}/stacks/{stackId}/lags/{lagId}
Deprecated
This operation is deprecated.
Delete stack lag
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
stackId | path | string | yes | Stack ID |
lagId | path | string | yes | LAG ID |
// omada_call_operation
{
"operationId": "deleteOswStackLag",
"params": {
"siteId": "<siteId>",
"stackId": "<stackId>",
"lagId": "<lagId>"
}
}Details, permissions and error codes
Delete stack lag. This interface has been deprecated. Please use the following interface instead: Delete stack lag V2
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-40200 - This switch stack is not existed.
getOswStackLag
GET /openapi/v1/{omadacId}/sites/{siteId}/stacks/{stackId}/lags/{lagId}
Get stack lag
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
stackId | path | string | yes | Stack ID |
lagId | path | string | yes | LAG ID |
// omada_call_operation
{
"operationId": "getOswStackLag",
"params": {
"siteId": "<siteId>",
"stackId": "<stackId>",
"lagId": "<lagId>"
}
}Details, permissions and error codes
Get stack lag.
The interface requires one of the permissions:
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-40200 - This switch stack is not existed.
modifyOswStackLag
PATCH /openapi/v1/{omadacId}/sites/{siteId}/stacks/{stackId}/lags/{lagId}
Deprecated
This operation is deprecated.
Modify stack lag
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
stackId | path | string | yes | Stack ID |
lagId | path | string | yes | LAG ID |
Request body — application/json (required) — schema OswStackMemberLagOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
name | string | no | Lag Name |
profileId | string | no | Profile ID |
profileOverrideEnable | boolean | yes | Indicates whether to enable Profile Override |
linkSpeed | integer | no | Link Speed should be a value as follows: 0: auto; 1: 10M; 2: 100M; 3: 1000M; 4: 2.5G; 5: 10G |
duplex | integer | no | Duplex should be a value as follows: 0: Auto; 1: Half; 2: Full |
bandCtrl | OswBandCtrlVO | no | (OswBandCtrlVO not expanded; call omada_get_schema "OswBandCtrlVO") |
stormCtrl | OswStormCtrlVO | no | (OswStormCtrlVO not expanded; call omada_get_schema "OswStormCtrlVO") |
bandWidthCtrlType | integer | no | BandWidthCtrlType should be a value as follows: 0: Off; 1: Rate Limit; 2: Storming Control |
spanningTreeEnable | boolean | no | Indicates whether SpanningTree is enabled |
spanningTreeSetting | SpanningTreeSettingVO | no | (SpanningTreeSettingVO not expanded; call omada_get_schema "SpanningTreeSettingVO") |
loopbackDetectEnable | boolean | no | Indicates whether loopbackDetect port based is enabled |
loopbackDetectVlanBasedEnable | boolean | no | Indicates whether loopbackDetect vlan based is enabled |
igmpFastLeaveEnable | boolean | no | Indicates whether igmp fast leave is enabled |
mldFastLeaveEnable | boolean | no | Indicates whether mld fast leave is enabled |
portIsolationEnable | boolean | no | Indicates whether port isolation is enabled |
eeeEnable | boolean | no | Indicates whether EEE is enabled |
flowControlEnable | boolean | no | Indicates whether flow control is enabled |
fastLeaveEnable | boolean | no | Indicates whether igmpSnooping fastLeave is enabled |
dhcpL2RelaySettings | OswPortDhcpL2RelayVO | no | (OswPortDhcpL2RelayVO not expanded; call omada_get_schema "OswPortDhcpL2RelayVO") |
dot1pPriority | integer | no | Dot1p Priority |
trustMode | integer | no | TrustMode should be a value as follows: 0: Untrusted; 1: Trust 802.1p; 2: Trust DSCP |
standardPorts | array<OswStandPortVO> | no | LAG Standard ports |
// omada_call_operation
{
"operationId": "modifyOswStackLag",
"params": {
"siteId": "<siteId>",
"stackId": "<stackId>",
"lagId": "<lagId>"
},
"body": "{...}"
}Details, permissions and error codes
Modify stack lag. This interface has been deprecated. Please use the following interface instead: Modify stack lag V2
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-40200 - This switch stack is not existed.
getStackNetworkList
GET /openapi/v1/{omadacId}/sites/{siteId}/stacks/{stackId}/networks
Get stack vlan interface List
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
stackId | path | string | yes | Stack ID |
page | query | integer | no | Start page number. Start from 1. (default 1) |
pageSize | query | integer | no | Number of entries per page. It should be within the range of 1–1000. (default 100) |
// omada_call_operation
{
"operationId": "getStackNetworkList",
"params": {
"siteId": "<siteId>",
"stackId": "<stackId>"
}
}Details, permissions and error codes
Get stack vlan interface List.
The interface requires one of the permissions:
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-40200 - This switch stack is not existed.
batchApplyStackNetworks
POST /openapi/v1/{omadacId}/sites/{siteId}/stacks/{stackId}/networks
Batch modify stack vlan interface status
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
stackId | path | string | yes | Stack ID |
Request body — application/json (required) — schema BatchApplyStackNetworkOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
networks | array<OswNetworkBaseOpenApi> | yes | Batch config networks status. |
// omada_call_operation
{
"operationId": "batchApplyStackNetworks",
"params": {
"siteId": "<siteId>",
"stackId": "<stackId>"
},
"body": "{...}"
}Details, permissions and error codes
Batch modify stack vlan interface status.
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-40200 - This switch stack is not existed.
getGridStackPortAndLagNetworksDetail
GET /openapi/v1/{omadacId}/sites/{siteId}/stacks/{stackId}/networks-detail
Get the networks detail (including the vlan related ports and lags info) used on stack's ports and LAGs
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
stackId | path | string | yes | Stack ID |
page | query | integer | no | Start page number. Start from 1. (default 1) |
pageSize | query | integer | no | Number of entries per page. It should be within the range of 1–1000. (default 100) |
// omada_call_operation
{
"operationId": "getGridStackPortAndLagNetworksDetail",
"params": {
"siteId": "<siteId>",
"stackId": "<stackId>"
}
}Details, permissions and error codes
Get the networks detail (including the vlan related ports and lags info) used on stack's ports and LAGs.
The interface requires one of the permissions:
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-40200 - This switch stack is not existed.
modifyStackNetwork
PATCH /openapi/v1/{omadacId}/sites/{siteId}/stacks/{stackId}/networks/{networkId}
Modify stack vlan interface
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
stackId | path | string | yes | Stack ID |
networkId | path | string | yes | Network ID |
Request body — application/json (required) — schema OswNetworkOpenApi
| Field | Type | Required | Description |
|---|---|---|---|
id | string | yes | Network ID |
vlan | integer | yes | VLAN ID. |
status | boolean | no | Enable status of the network vlan. Note: this field only takes effect when toggling switch status on the Interface list page and is ignored by other switch network edit APIs. |
mvlan | boolean | yes | Indicate the vlan is management vlan or not. |
name | string | no | Switch network name. |
ip | OswIpSettingOpenApiVO | no | (OswIpSettingOpenApiVO not expanded; call omada_get_schema "OswIpSettingOpenApiVO") |
ipv6Enable | boolean | no | Enable IPV6 or not. |
ipv6 | OswIpv6SettingOpenApiVO | no | (OswIpv6SettingOpenApiVO not expanded; call omada_get_schema "OswIpv6SettingOpenApiVO") |
mode | integer | yes | DHCP mode. 0: None, mode 1: DHCP Server, mode 2: DHCP Relay |
dhcpServer | OswDhcpServerOpenApiVO | no | (OswDhcpServerOpenApiVO not expanded; call omada_get_schema "OswDhcpServerOpenApiVO") |
dhcpRelay | OswDhcpRelayOpenApiVO | no | (OswDhcpRelayOpenApiVO not expanded; call omada_get_schema "OswDhcpRelayOpenApiVO") |
vrfId | string | no | VRF ID |
mtu | integer | no | MTU, MTU value should be less than or equal to the jumbo value |
// omada_call_operation
{
"operationId": "modifyStackNetwork",
"params": {
"siteId": "<siteId>",
"stackId": "<stackId>",
"networkId": "<networkId>"
},
"body": "{...}"
}Details, permissions and error codes
Modify stack vlan interface.
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-40200 - This switch stack is not existed.
getGridStackPortAndLagNetworks
GET /openapi/v1/{omadacId}/sites/{siteId}/stacks/{stackId}/port-lag-networks
Get the networks used on stack's ports and LAGs
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
stackId | path | string | yes | Stack ID |
page | query | integer | no | Start page number. Start from 1. (default 1) |
pageSize | query | integer | no | Number of entries per page. It should be within the range of 1–1000. (default 100) |
// omada_call_operation
{
"operationId": "getGridStackPortAndLagNetworks",
"params": {
"siteId": "<siteId>",
"stackId": "<stackId>"
}
}Details, permissions and error codes
Get the networks used on stack's ports and LAGs.
The interface requires one of the permissions:
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-40200 - This switch stack is not existed.
getStackPortAndLagNetwork
GET /openapi/v1/{omadacId}/sites/{siteId}/stacks/{stackId}/port-lag-networks/{networkId}/vlan/{vlan}
Get the stack's ports and LAGs that the network affects
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
stackId | path | string | yes | Stack ID |
networkId | path | string | yes | Switch network ID. |
vlan | path | string | yes | VLAN. |
// omada_call_operation
{
"operationId": "getStackPortAndLagNetwork",
"params": {
"siteId": "<siteId>",
"stackId": "<stackId>",
"networkId": "<networkId>",
"vlan": "<vlan>"
}
}Details, permissions and error codes
Get the stack's ports and LAGs that the network affects.
The interface requires one of the permissions:
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-33503 - This network does not exist.
-40200 - This switch stack is not existed.
getOswStackPortList
GET /openapi/v1/{omadacId}/sites/{siteId}/stacks/{stackId}/ports
Get stack port List
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
stackId | path | string | yes | Stack ID |
// omada_call_operation
{
"operationId": "getOswStackPortList",
"params": {
"siteId": "<siteId>",
"stackId": "<stackId>"
}
}Details, permissions and error codes
Get stack port List.
The interface requires one of the permissions:
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-40200 - This switch stack is not existed.
modifyOswStackPort
PATCH /openapi/v1/{omadacId}/sites/{siteId}/stacks/{stackId}/ports/{port}
Deprecated
This operation is deprecated.
Modify stack port
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
stackId | path | string | yes | Stack ID |
port | path | string | yes | Port |
Request body — application/json (required) — schema OswPortSettingOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
mac | string | no | The device mac to which the port belongs |
name | string | no | Port name |
profileId | string | no | Lan Profile ID |
profileOverrideEnable | boolean | yes | Indicates whether to enable Profile Override |
operation | string | no | Operation should be a value as follows: SWITCHING; MIRRORING; AGGREGATING |
mirroredPorts | array<integer> | no | Monitored Port |
mirroredLags | array<integer> | no | Monitored LAG |
lagSetting | OswLagBasicVO | no | (OswLagBasicVO not expanded; call omada_get_schema "OswLagBasicVO") |
linkSpeed | integer | no | LinkSpeed should be a value as follows: 0: Auto; 1: 10M; 2: 100M; 3: 1000M; 4: 2500M; 5: 10G; 6: 5G; 7: 25G; 8: 100G; 9: 40G. |
duplex | integer | no | Duplex should be a value as follows: 0: Auto; 1: Half; 2: Full |
dot1x | integer | no | Dot1x should be a value as follows: 0: Force unauthorized; 1: Force authorized; 2: Auto |
poe | integer | no | PoE switch should be a value as follows: 0: Off; 1: 802.3at/af |
bandWidthCtrlType | integer | no | BandWidthCtrlType should be a value as follows: 0: Off; 1: Rate Limit; 2: Storming Control |
bandCtrl | OswBandCtrlVO | no | (OswBandCtrlVO not expanded; call omada_get_schema "OswBandCtrlVO") |
stormCtrl | OswStormCtrlOpenApiVO | no | (OswStormCtrlOpenApiVO not expanded; call omada_get_schema "OswStormCtrlOpenApiVO") |
lldpMedEnable | boolean | no | LLDP-MED enable status |
topoNotifyEnable | boolean | no | TopoNotify enable status |
spanningTreeEnable | boolean | no | SpanningTree enable status |
spanningTreeSetting | SpanningTreeSettingVO | no | (SpanningTreeSettingVO not expanded; call omada_get_schema "SpanningTreeSettingVO") |
loopbackDetectEnable | boolean | no | LoopbackDetect enable status |
loopbackDetectVlanBasedEnable | boolean | no | LoopbackDetectVLANBased enable status |
igmpFastLeaveEnable | boolean | no | Indicates whether igmp fast leave is enabled |
mldFastLeaveEnable | boolean | no | Indicates whether mld fast leave is enabled |
portIsolationEnable | boolean | no | Port-isolation enable status |
eeeEnable | boolean | no | EEE enable status |
flowControlEnable | boolean | no | FlowControl enable status |
fastLeaveEnable | boolean | no | Indicates whether igmpSnooping fastLeave is enabled |
dhcpL2RelaySettings | OswPortDhcpL2RelayVO | no | (OswPortDhcpL2RelayVO not expanded; call omada_get_schema "OswPortDhcpL2RelayVO") |
stackSetting | OswPortStackSettingVO | no | (OswPortStackSettingVO not expanded; call omada_get_schema "OswPortStackSettingVO") |
dot1pPriority | integer | no | Dot1p Priority |
trustMode | integer | no | TrustMode should be a value as follows: 0: Untrusted; 1: Trust 802.1p; 2: Trust DSCP |
// omada_call_operation
{
"operationId": "modifyOswStackPort",
"params": {
"siteId": "<siteId>",
"stackId": "<stackId>",
"port": "<port>"
},
"body": "{...}"
}Details, permissions and error codes
Modify stack port. This interface has been deprecated. Please use the following interface instead: Modify stack port V2
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-40200 - This switch stack is not existed.
batchModifyOswStackPorts
POST /openapi/v1/{omadacId}/sites/{siteId}/stacks/{stackId}/ports/config
Deprecated
This operation is deprecated.
Batch modify stack port
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
stackId | path | string | yes | Stack ID |
Request body — application/json (required) — schema BatchStackPortSettingOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
unitList | array<OswStackUnitVO> | yes | Unit List |
name | string | no | Port name |
profileId | string | no | Lan Profile ID |
profileOverrideEnable | boolean | no | Indicates whether to enable Profile Override |
operation | string | no | Operation should be a value as follows: SWITCHING; |
linkSpeed | integer | no | LinkSpeed should be a value as follows: 0: Auto; 1: 10M; 2: 100M; 3: 1000M; 4: 2500M; 5: 10G; 6: 5G; 7: 25G; 8: 100G; 9: 40G. |
duplex | integer | no | Duplex should be a value as follows: 0: Auto; 1: Half; 2: Full |
dot1x | integer | no | Dot1x should be a value as follows: 0: Force unauthorized; 1: Force authorized; 2: Auto |
poe | integer | no | PoE switch should be a value as follows: 0: Off; 1: 802.3at/af |
bandWidthCtrlType | integer | no | BandWidthCtrlType should be a value as follows: 0: Off; 1: Rate Limit; 2: Storming Control |
bandCtrl | OswBandCtrlVO | no | (OswBandCtrlVO not expanded; call omada_get_schema "OswBandCtrlVO") |
stormCtrl | OswStormCtrlVO | no | (OswStormCtrlVO not expanded; call omada_get_schema "OswStormCtrlVO") |
lldpMedEnable | boolean | no | LLDP-MED enable status |
spanningTreeEnable | boolean | no | SpanningTree enable status |
spanningTreeSetting | SpanningTreeSettingVO | no | (SpanningTreeSettingVO not expanded; call omada_get_schema "SpanningTreeSettingVO") |
loopbackDetectEnable | boolean | no | LoopbackDetect enable status |
loopbackDetectVlanBasedEnable | boolean | no | LoopbackDetectVLANBased enable status |
igmpFastLeaveEnable | boolean | no | Indicates whether igmp fast leave is enabled |
mldFastLeaveEnable | boolean | no | Indicates whether mld fast leave is enabled |
portIsolationEnable | boolean | no | Port-isolation enable status |
eeeEnable | boolean | no | EEE enable status |
flowControlEnable | boolean | no | FlowControl enable status |
fastLeaveEnable | boolean | no | Indicates whether igmpSnooping fastLeave is enabled |
dhcpL2RelaySettings | OswPortDhcpL2RelayVO | no | (OswPortDhcpL2RelayVO not expanded; call omada_get_schema "OswPortDhcpL2RelayVO") |
dot1pPriority | integer | no | Dot1p Priority |
trustMode | integer | no | TrustMode should be a value as follows: 0: Untrusted; 1: Trust 802.1p; 2: Trust DSCP |
// omada_call_operation
{
"operationId": "batchModifyOswStackPorts",
"params": {
"siteId": "<siteId>",
"stackId": "<stackId>"
},
"body": "{...}"
}Details, permissions and error codes
Batch modify stack port. This interface has been deprecated. Please use the following interface instead: Batch modify stack port V2
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-40200 - This switch stack is not existed.
getStackRememberMe
GET /openapi/v1/{omadacId}/sites/{siteId}/stacks/{stackId}/remember
Get stack remember Config
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
stackId | path | string | yes | Stack ID |
// omada_call_operation
{
"operationId": "getStackRememberMe",
"params": {
"siteId": "<siteId>",
"stackId": "<stackId>"
}
}Details, permissions and error codes
Get stack remember Config.
The interface requires one of the permissions:
Site Device Manager View Only
modifyStackRememberMe
POST /openapi/v1/{omadacId}/sites/{siteId}/stacks/{stackId}/remember
Modify stack remember Config
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
stackId | path | string | yes | Stack ID |
Request body — application/json (required) — schema DeviceRememberConfig
| Field | Type | Required | Description |
|---|---|---|---|
remember | integer | no | The remember configuration of the device, 0 means disable, 1 means enable, 2 means follow site. |
// omada_call_operation
{
"operationId": "modifyStackRememberMe",
"params": {
"siteId": "<siteId>",
"stackId": "<stackId>"
},
"body": "{...}"
}Details, permissions and error codes
Modify stack remember Config.
The interface requires one of the permissions:
Site Device Manager Modify
getGridStackStaticRouting
GET /openapi/v1/{omadacId}/sites/{siteId}/stacks/{stackId}/staticRoutings
Get grid stack staticRouting
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
stackId | path | string | yes | Stack ID |
page | query | integer | no | Start page number. Start from 1. (default 1) |
pageSize | query | integer | no | Number of entries per page. It should be within the range of 1–1000. (default 100) |
// omada_call_operation
{
"operationId": "getGridStackStaticRouting",
"params": {
"siteId": "<siteId>",
"stackId": "<stackId>"
}
}Details, permissions and error codes
Get grid stack staticRouting.
The interface requires one of the permissions:
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-40200 - This switch stack is not existed.
createStackStaticRouting
POST /openapi/v1/{omadacId}/sites/{siteId}/stacks/{stackId}/staticRoutings
Create stack staticRouting
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
stackId | path | string | yes | Stack ID |
Request body — application/json (required) — schema OswStaticRoutingConfigOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
ipVersion | integer | yes | The IP Version of class rule should be a value as follows: 0: IPv4; 1: IPv6. |
status | boolean | yes | StaticRouting status |
destinations | array<string> | yes | IP address/SubNet, up to 16 entries are allowed for the destinations list. |
nextHopIp | string | yes | NextHopIp |
distance | integer | yes | Distance should be within the range of 1–255. |
description | string | no | The description of static routing. It may contain 0 to 128 characters, including digits (0–9), uppercase and lowercase letters (A–Z, a–z), spaces, and -_@😕.+# . |
vrfId | string | no | VrfId |
nextHopVrfId | string | no | NextHopVrfId |
// omada_call_operation
{
"operationId": "createStackStaticRouting",
"params": {
"siteId": "<siteId>",
"stackId": "<stackId>"
},
"body": "{...}"
}Details, permissions and error codes
Create stack staticRouting.
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-40200 - This switch stack is not existed.
deleteStackStaticRouting
DELETE /openapi/v1/{omadacId}/sites/{siteId}/stacks/{stackId}/staticRoutings/{staticRoutingId}
Delete stack staticRouting
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
stackId | path | string | yes | Stack ID |
staticRoutingId | path | string | yes | Static routing ID |
// omada_call_operation
{
"operationId": "deleteStackStaticRouting",
"params": {
"siteId": "<siteId>",
"stackId": "<stackId>",
"staticRoutingId": "<staticRoutingId>"
}
}Details, permissions and error codes
Delete stack staticRouting.
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-40200 - This switch stack is not existed.
modifyStackStaticRouting
PUT /openapi/v1/{omadacId}/sites/{siteId}/stacks/{stackId}/staticRoutings/{staticRoutingId}
Modify stack staticRouting
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
stackId | path | string | yes | Stack ID |
staticRoutingId | path | string | yes | Static routing ID |
Request body — application/json (required) — schema OswStaticRoutingConfigOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
ipVersion | integer | yes | The IP Version of class rule should be a value as follows: 0: IPv4; 1: IPv6. |
status | boolean | yes | StaticRouting status |
destinations | array<string> | yes | IP address/SubNet, up to 16 entries are allowed for the destinations list. |
nextHopIp | string | yes | NextHopIp |
distance | integer | yes | Distance should be within the range of 1–255. |
description | string | no | The description of static routing. It may contain 0 to 128 characters, including digits (0–9), uppercase and lowercase letters (A–Z, a–z), spaces, and -_@😕.+# . |
vrfId | string | no | VrfId |
nextHopVrfId | string | no | NextHopVrfId |
// omada_call_operation
{
"operationId": "modifyStackStaticRouting",
"params": {
"siteId": "<siteId>",
"stackId": "<stackId>",
"staticRoutingId": "<staticRoutingId>"
},
"body": "{...}"
}Details, permissions and error codes
Modify stack staticRouting.
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-40200 - This switch stack is not existed.
getStackGridVrf
GET /openapi/v1/{omadacId}/sites/{siteId}/stacks/{stackId}/vrfs
Get stack vrf page
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
stackId | path | string | yes | Stack ID |
page | query | integer | no | Start page number. Start from 1. (default 1) |
pageSize | query | integer | no | Number of entries per page. It should be within the range of 1–1000. (default 100) |
// omada_call_operation
{
"operationId": "getStackGridVrf",
"params": {
"siteId": "<siteId>",
"stackId": "<stackId>"
}
}Details, permissions and error codes
Get stack vrf page
The interface requires one of the permissions:
Site Device Manager View Only
createStackVrf
POST /openapi/v1/{omadacId}/sites/{siteId}/stacks/{stackId}/vrfs
Create new stack vrf
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
stackId | path | string | yes | Stack ID |
Request body — application/json (required) — schema OswVrfVO
| Field | Type | Required | Description |
|---|---|---|---|
id | string | no | VRF ID. This parameter is not required for creation or modification. |
vrf | string | yes | VRF name, it should be 1 to 15 characters consisting of numbers (0 to 9), uppercase and lowercase letters (A to Z, a to z), and symbols -_@.+ but cannot be . or .. only. |
ipv4Enable | boolean | yes | Whether to enable ipv4. Ipv4Enable should be true |
ipv6Enable | boolean | yes | Whether to enable ipv6 |
// omada_call_operation
{
"operationId": "createStackVrf",
"params": {
"siteId": "<siteId>",
"stackId": "<stackId>"
},
"body": "{...}"
}Details, permissions and error codes
Create new stack vrf
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39700 - Switch does not exist
-39970 - The number of VRF entries in this switch has reached the limit.
-39971 - This switch VRF Name already exists.
-40200 - This switch stack is not existed.
deleteStackVrf
DELETE /openapi/v1/{omadacId}/sites/{siteId}/stacks/{stackId}/vrfs/{vrfId}
Delete an existing stack vrf
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
stackId | path | string | yes | Stack ID |
vrfId | path | string | yes | VRF ID |
// omada_call_operation
{
"operationId": "deleteStackVrf",
"params": {
"siteId": "<siteId>",
"stackId": "<stackId>",
"vrfId": "<vrfId>"
}
}Details, permissions and error codes
Delete an existing stack vrf
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39700 - Switch does not exist
-39947 - The default VRF cannot be deleted.
-39972 - This VRF in use cannot be deleted.
-39975 - Switch VRF does not exist.
-40200 - This switch stack is not existed.
modifyStackVrf
PUT /openapi/v1/{omadacId}/sites/{siteId}/stacks/{stackId}/vrfs/{vrfId}
Modify an existing stack vrf
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
stackId | path | string | yes | Stack ID |
vrfId | path | string | yes | VRF ID |
Request body — application/json (required) — schema ModifyOswVrfOpenApiVO
| Field | Type | Required | Description |
|---|---|---|---|
ipv6Enable | boolean | yes | Whether to enable ipv6 |
// omada_call_operation
{
"operationId": "modifyStackVrf",
"params": {
"siteId": "<siteId>",
"stackId": "<stackId>",
"vrfId": "<vrfId>"
},
"body": "{...}"
}Details, permissions and error codes
Modify an existing stack vrf
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-39700 - Switch does not exist
-39948 - The default VRF cannot be edited.
-39971 - This switch VRF Name already exists.
-39973 - This VRF is being used by other IPv6 functions and the IPv6 address-family cannot be disabled.
-39975 - Switch VRF does not exist.
-40200 - This switch stack is not existed.
detectSwitchStackMembersForAllStacks
POST /openapi/v1/{omadacId}/sites/{siteId}/stacks/detect
Detect switch stacks members for all stacks
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
// omada_call_operation
{
"operationId": "detectSwitchStackMembersForAllStacks",
"params": {
"siteId": "<siteId>"
}
}Details, permissions and error codes
Detect switch stacks members for all stacks.
The interface requires one of the permissions:
Site Device Manager Modify
detectSwitchStackMembers
POST /openapi/v1/{omadacId}/sites/{siteId}/stacks/detect/{stackId}
Detect switch stack members
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
stackId | path | string | yes | Stack ID |
// omada_call_operation
{
"operationId": "detectSwitchStackMembers",
"params": {
"siteId": "<siteId>",
"stackId": "<stackId>"
}
}Details, permissions and error codes
Detect switch stack members.
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-40200 - This switch stack is not existed.
getGridDiscoveryStackList
GET /openapi/v1/{omadacId}/sites/{siteId}/stacks/discovery
Get discovery stack list
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
page | query | integer | no | Start page number. Start from 1. (default 1) |
pageSize | query | integer | no | Number of entries per page. It should be within the range of 1–1000. (default 100) |
// omada_call_operation
{
"operationId": "getGridDiscoveryStackList",
"params": {
"siteId": "<siteId>"
}
}Details, permissions and error codes
Get discovery stack list.
The interface requires one of the permissions:
Site Device Manager View Only
getStackableSwitches
GET /openapi/v1/{omadacId}/sites/{siteId}/stacks/switches
Get stackable switches
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
stackId | query | string | yes | Stack ID |
// omada_call_operation
{
"operationId": "getStackableSwitches",
"params": {
"siteId": "<siteId>",
"stackId": "<stackId>"
}
}Details, permissions and error codes
Get stackable switches.
The interface requires one of the permissions:
Site Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-40200 - This switch stack is not existed.
getMspOswStackDetail
GET /openapi/v1/msp/{mspId}/customers/{customerId}/sites/{siteId}/stack/{stackId}
Get msp stack detail
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
mspId | path | string | auto | MSP ID (filled in automatically) |
customerId | path | string | yes | customerId |
siteId | path | string | yes | Site ID (site ID or site name) |
stackId | path | string | yes | Stack ID |
// omada_call_operation
{
"operationId": "getMspOswStackDetail",
"params": {
"customerId": "<customerId>",
"siteId": "<siteId>",
"stackId": "<stackId>"
}
}Details, permissions and error codes
Get msp stack detail.
The interface requires one of the permissions:
MSP Device Manager View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-40200 - This switch stack is not existed.
getMspOswStackList
GET /openapi/v1/msp/{mspId}/stack
Get msp stack List
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
mspId | path | string | auto | MSP ID (filled in automatically) |
page | query | integer | no | Start page number. Start from 1. (default 1) |
pageSize | query | integer | no | Number of entries per page. It should be within the range of 1–1000. (default 100) |
// omada_call_operation
{
"operationId": "getMspOswStackList"
}Details, permissions and error codes
Get msp stack List.
The interface requires one of the permissions:
MSP Device Manager View Only
deleteSwitchStackLagSetting
DELETE /openapi/v2/{omadacId}/sites/{siteId}/stacks/{stackId}/lags/{lagId}
Delete stack lag V2
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
stackId | path | string | yes | Stack ID |
lagId | path | string | yes | Lag ID |
// omada_call_operation
{
"operationId": "deleteSwitchStackLagSetting",
"params": {
"siteId": "<siteId>",
"stackId": "<stackId>",
"lagId": "<lagId>"
}
}Details, permissions and error codes
Delete stack lag V2.
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-40200 - This switch stack is not existed.
modifySwitchStackLagSetting
PATCH /openapi/v2/{omadacId}/sites/{siteId}/stacks/{stackId}/lags/{lagId}
Modify stack lag V2
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
stackId | path | string | yes | Stack ID |
lagId | path | string | yes | Lag ID |
Request body — application/json (required) — schema StackLagSettingVO
| Field | Type | Required | Description |
|---|---|---|---|
name | string | no | Port or Lag Name |
tagIds | array<string> | no | Tag ID List |
nativeNetworkId | string | no | Native Network ID, Native Network cannot be selected from Tagged Networks or Untagged Networks. |
nativeBridgeVlan | integer | no | Native Network Bridge Vlan. |
networkTagsSetting | integer | no | Network Tags Setting should be a value as follows: 0: Allow All; 1: Block All; 2: Custom |
tagNetworkIds | array<string> | no | Tag Network IDs |
tagBridgeVlanMap | object | no | Tag Network Bridge Vlan Map |
untagNetworkIds | array<string> | no | Untag Network IDs |
untagBridgeVlanMap | object | no | Untag Network Bridge Vlan Map |
voiceNetworkEnable | boolean | no | Indicates whether voice network is enabled |
voiceNetworkId | string | no | Voice Network ID |
voiceBridgeVlan | integer | no | Voice Network Bridge Vlan |
voiceDscpEnable | boolean | no | Indicates whether voice DSCP is enabled |
voiceDscp | integer | no | Voice DSCP |
portAlertEnable | boolean | no | Indicates whether port alert is enabled |
fecMode | integer | no | FEC mode should be a value as follows: 1: Off; 2: RS528; 3: RS544; 4: Auto; 5: Base-R |
fecLinkPeerApplyEnable | boolean | no | Indicates whether the FEC Mode is synchronously applied to the link peer port. |
disable | boolean | no | Indicates whether to disable |
profileId | string | no | Profile ID is required (not null) when modifying a single port. |
profileOverrideEnable | boolean | no | Indicates whether to enable Profile Override before v6.2.10; Indicates the fill mode of port configuration after v6.2.10: true: custom; false: follow profile |
profileVlanOverrideEnable | boolean | no | Indicates the fill mode of vlan configuration: true: custom; false: follow profile |
linkSpeed | integer | no | Link Speed should be a value as follows: 0: auto; 1: 10M; 2: 100M; 3: 1000M; 4: 2.5G; 5: 10G |
duplex | integer | no | Duplex should be a value as follows: 0: Auto; 1: Half; 2: Full |
igmpSnoopingEnable | boolean | no | Indicates whether IGMP Snooping is enabled |
bandWidthCtrlType | integer | no | BandWidthCtrlType should be a value as follows: 0: Off; 1: Rate Limit; 2: Storming Control |
bandCtrl | OswBandCtrlVO | no | (OswBandCtrlVO not expanded; call omada_get_schema "OswBandCtrlVO") |
stormCtrl | OswStormCtrlVO | no | (OswStormCtrlVO not expanded; call omada_get_schema "OswStormCtrlVO") |
spanningTreeEnable | boolean | no | Indicates whether SpanningTree is enabled |
spanningTreeSetting | SpanningTreeSettingVO | no | (SpanningTreeSettingVO not expanded; call omada_get_schema "SpanningTreeSettingVO") |
loopbackDetectEnable | boolean | no | Indicates whether loopbackDetect port based is enabled |
loopbackDetectVlanBasedEnable | boolean | no | Indicates whether loopbackDetect vlan based is enabled |
igmpFastLeaveEnable | boolean | no | Indicates whether igmp fast leave is enabled |
mldFastLeaveEnable | boolean | no | Indicates whether mld fast leave is enabled |
portIsolationEnable | boolean | no | Indicates whether port isolation is enabled |
eeeEnable | boolean | no | Indicates whether EEE is enabled |
flowControlEnable | boolean | no | Indicates whether flow control is enabled |
fastLeaveEnable | boolean | no | Indicates whether igmpSnooping fastLeave is enabled |
dhcpL2RelaySettings | OswPortDhcpL2RelayVO | no | (OswPortDhcpL2RelayVO not expanded; call omada_get_schema "OswPortDhcpL2RelayVO") |
dot1pPriority | integer | no | Dot1p Priority |
trustMode | integer | no | TrustMode should be a value as follows: 0: Untrusted; 1: Trust 802.1p; 2: Trust DSCP |
qosQueueEnable | boolean | no | Indicates whether the ES device port has enabled the Qos scheduling queue configuration |
queueId | integer | no | ES Qos scheduling queue ID |
removedOuiBasedRuleIds | array<string> | no | The id of oui based vlan rule removded. |
operation | string | no | Operation should be a value as follows: "switching" or "mirroring" or "aggregating" |
lagId | integer | no | Lag ID |
lagType | integer | no | Lag Type should be a value as follows: 1: STATIC; 2: LACP; 3: LACP ACTIVE; 4: LACP PASSIVE |
ports | array<integer> | no | Lag Ports |
mlagName | string | no | M-LAG group Name |
mlagEnable | boolean | no | Indicates whether M-LAG port is enabled |
mlagPeerSetting | OswMlagPeerSettingVO | no | (OswMlagPeerSettingVO not expanded; call omada_get_schema "OswMlagPeerSettingVO") |
standardPorts | array<OswStandPortVO> | no | LAG Standard ports |
// omada_call_operation
{
"operationId": "modifySwitchStackLagSetting",
"params": {
"siteId": "<siteId>",
"stackId": "<stackId>",
"lagId": "<lagId>"
},
"body": "{...}"
}Details, permissions and error codes
Modify stack lag V2.
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-40200 - This switch stack is not existed.
batchModifySwitchStackPortSetting
PATCH /openapi/v2/{omadacId}/sites/{siteId}/stacks/{stackId}/multi-ports/config
Batch modify stack port V2
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
stackId | path | string | yes | Stack ID |
Request body — application/json (required) — schema BatchStackPortSettingVO
| Field | Type | Required | Description |
|---|---|---|---|
name | string | no | Port or Lag Name |
tagIds | array<string> | no | Tag ID List |
nativeNetworkId | string | no | Native Network ID, Native Network cannot be selected from Tagged Networks or Untagged Networks. |
nativeBridgeVlan | integer | no | Native Network Bridge Vlan. |
networkTagsSetting | integer | no | Network Tags Setting should be a value as follows: 0: Allow All; 1: Block All; 2: Custom |
tagNetworkIds | array<string> | no | Tag Network IDs |
tagBridgeVlanMap | object | no | Tag Network Bridge Vlan Map |
untagNetworkIds | array<string> | no | Untag Network IDs |
untagBridgeVlanMap | object | no | Untag Network Bridge Vlan Map |
voiceNetworkEnable | boolean | no | Indicates whether voice network is enabled |
voiceNetworkId | string | no | Voice Network ID |
voiceBridgeVlan | integer | no | Voice Network Bridge Vlan |
voiceDscpEnable | boolean | no | Indicates whether voice DSCP is enabled |
voiceDscp | integer | no | Voice DSCP |
portAlertEnable | boolean | no | Indicates whether port alert is enabled |
fecMode | integer | no | FEC mode should be a value as follows: 1: Off; 2: RS528; 3: RS544; 4: Auto; 5: Base-R |
fecLinkPeerApplyEnable | boolean | no | Indicates whether the FEC Mode is synchronously applied to the link peer port. |
disable | boolean | no | Indicates whether to disable |
profileId | string | no | Profile ID is required (not null) when modifying a single port. |
profileOverrideEnable | boolean | no | Indicates whether to enable Profile Override before v6.2.10; Indicates the fill mode of port configuration after v6.2.10: true: custom; false: follow profile |
profileVlanOverrideEnable | boolean | no | Indicates the fill mode of vlan configuration: true: custom; false: follow profile |
linkSpeed | integer | no | Link Speed should be a value as follows: 0: auto; 1: 10M; 2: 100M; 3: 1000M; 4: 2.5G; 5: 10G |
duplex | integer | no | Duplex should be a value as follows: 0: Auto; 1: Half; 2: Full |
igmpSnoopingEnable | boolean | no | Indicates whether IGMP Snooping is enabled |
bandWidthCtrlType | integer | no | BandWidthCtrlType should be a value as follows: 0: Off; 1: Rate Limit; 2: Storming Control |
bandCtrl | OswBandCtrlVO | no | (OswBandCtrlVO not expanded; call omada_get_schema "OswBandCtrlVO") |
stormCtrl | OswStormCtrlVO | no | (OswStormCtrlVO not expanded; call omada_get_schema "OswStormCtrlVO") |
spanningTreeEnable | boolean | no | Indicates whether SpanningTree is enabled |
spanningTreeSetting | SpanningTreeSettingVO | no | (SpanningTreeSettingVO not expanded; call omada_get_schema "SpanningTreeSettingVO") |
loopbackDetectEnable | boolean | no | Indicates whether loopbackDetect port based is enabled |
loopbackDetectVlanBasedEnable | boolean | no | Indicates whether loopbackDetect vlan based is enabled |
igmpFastLeaveEnable | boolean | no | Indicates whether igmp fast leave is enabled |
mldFastLeaveEnable | boolean | no | Indicates whether mld fast leave is enabled |
portIsolationEnable | boolean | no | Indicates whether port isolation is enabled |
eeeEnable | boolean | no | Indicates whether EEE is enabled |
flowControlEnable | boolean | no | Indicates whether flow control is enabled |
fastLeaveEnable | boolean | no | Indicates whether igmpSnooping fastLeave is enabled |
dhcpL2RelaySettings | OswPortDhcpL2RelayVO | no | (OswPortDhcpL2RelayVO not expanded; call omada_get_schema "OswPortDhcpL2RelayVO") |
dot1pPriority | integer | no | Dot1p Priority |
trustMode | integer | no | TrustMode should be a value as follows: 0: Untrusted; 1: Trust 802.1p; 2: Trust DSCP |
qosQueueEnable | boolean | no | Indicates whether the ES device port has enabled the Qos scheduling queue configuration |
queueId | integer | no | ES Qos scheduling queue ID |
removedOuiBasedRuleIds | array<string> | no | The id of oui based vlan rule removded. |
operation | string | no | Operation should be a value as follows: "switching" or "mirroring" or "aggregating" |
mirroredPorts | array<integer> | no | Mirrored Ports |
mirroredLags | array<integer> | no | Mirrored Lags |
lagSetting | OswLagBasicVO | no | (OswLagBasicVO not expanded; call omada_get_schema "OswLagBasicVO") |
lagDelete | boolean | no | When the operation changes from aggregating to switching, this parameter should be set to true, and the "lagSetting" parameter needs to include the lagId. |
dot1x | integer | no | Dot1x should be a value as follows: 0: Force unauthorized; 1: Force authorized; 2: Auto |
poe | integer | no | Poe should be a value as follows: 0: Off; 1: 802.3at/af |
lldpMedEnable | boolean | no | Indicates whether LLDP-MED is enabled |
topoNotifyEnable | boolean | no | Indicates whether Topology Notify is enabled |
mac | string | no | Mac address of the port. This parameter can be null when batch modify stack ports, but not null when modify a single stack port |
stackSetting | OswPortStackSettingVO | no | (OswPortStackSettingVO not expanded; call omada_get_schema "OswPortStackSettingVO") |
unitList | array<OswStackUnitVO> | yes |
// omada_call_operation
{
"operationId": "batchModifySwitchStackPortSetting",
"params": {
"siteId": "<siteId>",
"stackId": "<stackId>"
},
"body": "{...}"
}Details, permissions and error codes
Batch modify stack port V2.
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-40200 - This switch stack is not existed.
modifySwitchStackPortSetting
PATCH /openapi/v2/{omadacId}/sites/{siteId}/stacks/{stackId}/ports/{port}
Modify stack port V2
| Parameter | In | Type | Required | Description |
|---|---|---|---|---|
omadacId | path | string | auto | Omada ID (filled in automatically) |
siteId | path | string | yes | Site ID (site ID or site name) |
stackId | path | string | yes | Stack ID |
port | path | string | yes | Port |
Request body — application/json (required) — schema StackPortSettingVO
| Field | Type | Required | Description |
|---|---|---|---|
name | string | no | Port or Lag Name |
tagIds | array<string> | no | Tag ID List |
nativeNetworkId | string | no | Native Network ID, Native Network cannot be selected from Tagged Networks or Untagged Networks. |
nativeBridgeVlan | integer | no | Native Network Bridge Vlan. |
networkTagsSetting | integer | no | Network Tags Setting should be a value as follows: 0: Allow All; 1: Block All; 2: Custom |
tagNetworkIds | array<string> | no | Tag Network IDs |
tagBridgeVlanMap | object | no | Tag Network Bridge Vlan Map |
untagNetworkIds | array<string> | no | Untag Network IDs |
untagBridgeVlanMap | object | no | Untag Network Bridge Vlan Map |
voiceNetworkEnable | boolean | no | Indicates whether voice network is enabled |
voiceNetworkId | string | no | Voice Network ID |
voiceBridgeVlan | integer | no | Voice Network Bridge Vlan |
voiceDscpEnable | boolean | no | Indicates whether voice DSCP is enabled |
voiceDscp | integer | no | Voice DSCP |
portAlertEnable | boolean | no | Indicates whether port alert is enabled |
fecMode | integer | no | FEC mode should be a value as follows: 1: Off; 2: RS528; 3: RS544; 4: Auto; 5: Base-R |
fecLinkPeerApplyEnable | boolean | no | Indicates whether the FEC Mode is synchronously applied to the link peer port. |
disable | boolean | no | Indicates whether to disable |
profileId | string | no | Profile ID is required (not null) when modifying a single port. |
profileOverrideEnable | boolean | no | Indicates whether to enable Profile Override before v6.2.10; Indicates the fill mode of port configuration after v6.2.10: true: custom; false: follow profile |
profileVlanOverrideEnable | boolean | no | Indicates the fill mode of vlan configuration: true: custom; false: follow profile |
linkSpeed | integer | no | Link Speed should be a value as follows: 0: auto; 1: 10M; 2: 100M; 3: 1000M; 4: 2.5G; 5: 10G |
duplex | integer | no | Duplex should be a value as follows: 0: Auto; 1: Half; 2: Full |
igmpSnoopingEnable | boolean | no | Indicates whether IGMP Snooping is enabled |
bandWidthCtrlType | integer | no | BandWidthCtrlType should be a value as follows: 0: Off; 1: Rate Limit; 2: Storming Control |
bandCtrl | OswBandCtrlVO | no | (OswBandCtrlVO not expanded; call omada_get_schema "OswBandCtrlVO") |
stormCtrl | OswStormCtrlVO | no | (OswStormCtrlVO not expanded; call omada_get_schema "OswStormCtrlVO") |
spanningTreeEnable | boolean | no | Indicates whether SpanningTree is enabled |
spanningTreeSetting | SpanningTreeSettingVO | no | (SpanningTreeSettingVO not expanded; call omada_get_schema "SpanningTreeSettingVO") |
loopbackDetectEnable | boolean | no | Indicates whether loopbackDetect port based is enabled |
loopbackDetectVlanBasedEnable | boolean | no | Indicates whether loopbackDetect vlan based is enabled |
igmpFastLeaveEnable | boolean | no | Indicates whether igmp fast leave is enabled |
mldFastLeaveEnable | boolean | no | Indicates whether mld fast leave is enabled |
portIsolationEnable | boolean | no | Indicates whether port isolation is enabled |
eeeEnable | boolean | no | Indicates whether EEE is enabled |
flowControlEnable | boolean | no | Indicates whether flow control is enabled |
fastLeaveEnable | boolean | no | Indicates whether igmpSnooping fastLeave is enabled |
dhcpL2RelaySettings | OswPortDhcpL2RelayVO | no | (OswPortDhcpL2RelayVO not expanded; call omada_get_schema "OswPortDhcpL2RelayVO") |
dot1pPriority | integer | no | Dot1p Priority |
trustMode | integer | no | TrustMode should be a value as follows: 0: Untrusted; 1: Trust 802.1p; 2: Trust DSCP |
qosQueueEnable | boolean | no | Indicates whether the ES device port has enabled the Qos scheduling queue configuration |
queueId | integer | no | ES Qos scheduling queue ID |
removedOuiBasedRuleIds | array<string> | no | The id of oui based vlan rule removded. |
operation | string | no | Operation should be a value as follows: "switching" or "mirroring" or "aggregating" |
mirroredPorts | array<integer> | no | Mirrored Ports |
mirroredLags | array<integer> | no | Mirrored Lags |
lagSetting | OswLagBasicVO | no | (OswLagBasicVO not expanded; call omada_get_schema "OswLagBasicVO") |
lagDelete | boolean | no | When the operation changes from aggregating to switching, this parameter should be set to true, and the "lagSetting" parameter needs to include the lagId. |
dot1x | integer | no | Dot1x should be a value as follows: 0: Force unauthorized; 1: Force authorized; 2: Auto |
poe | integer | no | Poe should be a value as follows: 0: Off; 1: 802.3at/af |
lldpMedEnable | boolean | no | Indicates whether LLDP-MED is enabled |
topoNotifyEnable | boolean | no | Indicates whether Topology Notify is enabled |
mac | string | no | Mac address of the port. This parameter can be null when batch modify stack ports, but not null when modify a single stack port |
stackSetting | OswPortStackSettingVO | no | (OswPortStackSettingVO not expanded; call omada_get_schema "OswPortStackSettingVO") |
// omada_call_operation
{
"operationId": "modifySwitchStackPortSetting",
"params": {
"siteId": "<siteId>",
"stackId": "<stackId>",
"port": "<port>"
},
"body": "{...}"
}Details, permissions and error codes
Modify stack port V2.
The interface requires one of the permissions:
Site Device Manager Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-40200 - This switch stack is not existed.